#ifndef __url_skip__
#define __url_skip__

#include "bskip.hh"

namespace afilter {

  template <class T>
  class UrlSkip : public T::Base {
  public:
    typedef typename T::Base      Base;
    typedef typename T::Itr       Itr;
    typedef typename T::ItrRoot   ItrRoot;

    UrlSkip * clone() const {return new UrlSkip(*this);}
    string name() const {return "url";}
    double order_num() const {return .95;}
    void scan(char c, Itr *, bool & blank_out);
  };
}

#endif

